Subject: Re: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: John Wiegley <[email-masked]>
Date: Fri, 26 Feb 2016 16:52:52 -0800

>>>>> Drew Adams <[email-masked]> writes:

> What's more, _users_ currently do the work by hand, so it must be possible
> to at least partly (probably fully) get it done by program. If users can
> manually (time-consuming and error-prone) redact the byte-code when pasting
> a backtrace into a mail etc. then that can be done by program.

Drew, can you show me what it will look like to have the elision performed?
Sometimes the byte-code contains strings that give me a clue as to the
problem, so I'm wondering what will disappear if this is fixed.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2